header {
    position: relative;
    display: flex;
    padding: 1em;
    background: rgba(0,0,0,.6);
    background: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.8) 100%);
}

header .logo {
    width: 48px;
    height: 48px;
    border-radius: 24px;
    box-shadow: var(--shadow);
}

header nav {
    flex-grow: 1;
}

header nav ul {
    display: flex;
    justify-content: right;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

header nav a {
    display: block;
    font-size: 1.1em;
    color: var(--primary-text-color);
    text-decoration: none;
    padding: .4em .8em;
    margin: 0 .1em;
    text-shadow: var(--heavy-shadow);
    transition: 300ms;
}

header nav a.cta {
    background-color: var(--primary-tms-color);
    border-radius: 4px;
}

header nav a:hover {
    color: white;
}

h1, h2, h3, h4 {
    font-weight: 300;
}

section {
    padding: 4em 0;
}

section h2 {
    font-size: 1.6em;
    margin-bottom: 1em;
}

section.solid {
    background-color: var(--primary-background-color);
}

section.heading {
    color: var(--primary-background-color);
    font-size: 1.1em;
}

section .heading-box {
    display: inline-block;
}

section .heading-box,
section:not(.solid):not(.heading) .wrapper {
    position: relative;
    padding: 1.2em 1.6em;
    max-width: 25em;
    color: var(--primary-background-color);
    --webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    border-radius: 6px;
    overflow: hidden;
}

section .heading-box::before,
section:not(.solid):not(.heading) .wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--primary-text-color);
    opacity: .4;
    z-index: -1;
}

section:not(.solid):not(.heading) a {
    color: var(--tertiary-background-color);
}

section.heading .statistics {
    position: relative;
    width: 14em;
    height: 7em;
    color: white;
    --webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    border-radius: 6px;
    text-align: center;
    overflow: hidden;
}

section.heading .statistics::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: .75;
    z-index: -1;
    transition: 300ms background-color;
}

.statistics.blue::before {
    background-color: #4285f4;
}

.statistics.yellow {
    color: var(--primary-background-color);
}

.statistics.yellow::before {
    background-color: #f4b400;
}

.statistics.red::before {
    background-color: #db4437;
}

.statistics.purple::before {
    background-color: var(--primary-tms-color);
}

section.heading .statistic {
    position: absolute;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    font-size: 3rem;
    font-weight: 300;
    transition: 300ms left;
}

section.heading .statistic.active {
    left: 0;
}

section.heading .statistic.out {
    left: -100%;
}

section.heading .statistic h2 {
    font-size: 1.2rem;
    font-weight: 700;
    text-transform: uppercase;
    padding: .4em .6em;
    margin: 0;
}

section.heading h1 {
    font-size: 3em;
}

section .wrapper {
    width: calc(100% - 4em);
    max-width: 65em;
    margin: 0 auto;
}

section.heading .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.button-container {
    text-align: center;
    margin-top: 1.5em;
}

.user-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: .6em;
}

@media only screen and (max-width: 925px) {
    .user-container {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media only screen and (max-width: 750px) {
    .user-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (max-width: 575px) {
    .user-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media only screen and (max-width: 400px) {
    .user-container {
        grid-template-columns: repeat(1, 1fr);
    }
}

.user {
    display: block;
    margin: .8em;
    text-align: center;
    color: var(--primary-text-color);
    text-decoration: none;
    transform: scale(1);
    transition: 300ms transform;
    text-shadow: var(--shadow);
}

.user:hover {
    transform: scale(1.05);
}

.user > img {
    background-color: var(--primary-tms-color);
    border: .2em solid var(--primary-tms-color);
    width: 100px;
    height: 100px;
    border-radius: 50%;
    box-shadow: var(--shadow);
}

.user h3 {
    font-size: 1.2rem;
    font-weight: 500;
}

.user h3 img {
    width: 1em;
    height: 1em;
}

.user .followers {
    color: var(--secondary-text-color);
    font-size: .8rem;
}

footer {
    padding: .5em;
    font-size: .8em;
    color: var(--secondary-text-color);
    background-color: var(--primary-background-color);
    text-align: center;
}

footer p {
    margin: .05em 0;
}

/* Mobile Styles */

a.hamburger {
    display: none;
    position: fixed;
    top: 1em;
    right: 1em;
    padding: .8em 1em;
    color: var(--primary-text-color);
    background-color: var(--secondary-background-color);
    border-radius: 4px;
    z-index: 10;
}

@media only screen and (max-width: 700px) {
    a.hamburger {
        display: block;
    }

    header nav {
        position: fixed;
        top: 0;
        left: -15em;
        width: 15em;
        height: 100%;
        transition: 300ms left;
        background-color: var(--primary-background-color);
        z-index: 9;
    }

    header nav ul {
        display: block;
    }

    header nav ul li {
        margin: 1em;
    }

    .open-nav header nav {
        left: 0;
    }

    section.heading .wrapper {
        display: block;
    }

    section .heading-box {
        display: block;
        margin: 0 auto;
    }

    .statistics {
        margin: 1em auto;
    }
}
